Bug 175107 - CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192)
CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdegraphics (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
impact=important,reported=20051103,pu...
: Security
: 176246 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-06 12:50 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-16 11:10:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-12-06 12:50:54 EST
+++ This bug was initially created as a clone of Bug #175105 +++

+++ This bug was initially created as a clone of Bug #175089 +++

Derek Noonburg sent us a patch for xpdf to correct a number of security issues.
 This is due to be public 20051201.

An attacker could construct a carefully crafted PDF file that could cause Xpdf
to crash or possibly execute arbitrary code when opened. 

This issue affects RHEL3, RHEL3, RHEL2.1

-- Additional comment from mjc@redhat.com on 2005-11-22 03:42 EST --
Created an attachment (id=121332)
Proposed patch from Derek


This issue also affects FC3
Comment 1 Josh Bressers 2005-12-06 13:56:40 EST
Attachment 121940 [details] contains a more complete patch which was taken from our recent
xpdf update.
Comment 2 Josh Bressers 2005-12-14 10:30:21 EST
The patches for these issues are in attachment 122226 [details] and attachment 122227 [details].

The sooner we can have new packages rolled the better as the Christmas holiday
is quickly approaching.
Comment 3 Josh Bressers 2005-12-14 11:13:11 EST
There aren't currently any reproducers for these issues.

Please note that these issues affect xpdf, kdegraphics, cups, gpdf, tetex and
poppler.  Some cooperation will probably make things easier.
Comment 4 Ngo Than 2006-01-16 10:58:56 EST
*** Bug 176246 has been marked as a duplicate of this bug. ***
Comment 5 Ngo Than 2006-01-16 11:10:25 EST
it's now fixed in kdegraphics-3.5.0-0.2.fc4 (FC4), kdegraphics-3.4.2-0.fc3.3 (FC3)

Note You need to log in before you can comment on or make changes to this bug.